%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_with check
%global debug_package %{nil}

%global crate h3

Name:           rust-h3
Version:        0.0.3
Release:    1%{?dist}
Summary:        Async HTTP/3 implementation

License:        MIT
URL:            https://crates.io/crates/h3
Source0:         %{crates_source}
Source1:         https://github.com/hyperium/h3/raw/h3-v%{version}/LICENSE

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
An async HTTP/3 implementation.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+i-implement-a-third-party-backend-and-opt-into-breaking-changes-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+i-implement-a-third-party-backend-and-opt-into-breaking-changes-devel %{_description}

This package contains library source intended for building other packages which
use the "i-implement-a-third-party-backend-and-opt-into-breaking-changes" feature of the "%{crate}" crate.

%files       -n %{name}+i-implement-a-third-party-backend-and-opt-into-breaking-changes-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
cp -pav %{SOURCE1} .

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.0.3-1
- initial build
